<?php
$title       = $widget->get_setting('title', 'Scroll To Top');
$icon_color  = $widget->get_setting('icon_color', 'white');
$title_color = $widget->get_setting('title_color', 'white');

// Wrap Classes 
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings));
// anchor class
$widget->add_render_attribute('anchor', 'class', 'cms-anchor');
$widget->add_render_attribute('anchor', 'class', 'text-'.$widget->get_setting('text_color','white'));
$widget->add_render_attribute('anchor', 'class', 'text-hover-'.$widget->get_setting('text_hover_color','white'));
$widget->add_render_attribute('anchor', 'class', 'bg-'.$widget->get_setting('icon_bg_color','secondary'));
$widget->add_render_attribute('anchor', 'class', 'bg-hover-'.$widget->get_setting('icon_bg_hover_color','accent'));
$widget->add_render_attribute('anchor', 'href', '#'.$widget->get_setting('anchor_id', 'cms-page'));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
	<a <?php etc_print_html($widget->get_render_attribute_string( 'anchor' )); ?>>
	    <?php 
	        claniz_elementor_icon_render($widget, $settings,[
	            'wrap_class'   => 'cms-anchor-icon',
	            'class'        => 'pb-10',
	            'default_icon' => [
	            	'library' => 'cmsi',
	            	'value'   => 'cmsi-long-arrow-up'
	            ]
	        ]);
	    if($widget->get_setting('title') !== '-1'){
	    	etc_print_html($widget->get_setting('title', 'Scroll To Top'));
	    } ?>
	</a>
</div>