<?php
// Small Heading 
claniz_elementor_text_render([
    'name'         => 'subheading_text',
    'tag'          => 'div',
    'color'        => 'accent',
    'class'        => 'cms-subheading mb-15' 
], $widget, $settings);
// Heading 
claniz_elementor_text_render([
    'name'         => 'heading_text',
    'tag'          => 'h2',
    'color'        => 'heading',
    'class'        => 'cms-mainheading cms-heading mb-25' 
], $widget, $settings);
claniz_elementor_text_render([
    'name'         => 'description_text',
    'tag'          => 'div',
    'color'        => 'body',
    'class'        => 'cms-desc mb-25' 
], $widget, $settings);
?>
<div class="cms-client-slider cms-swiper-sliders">
    <div class="cms-swiper-slider-wrap">
        <div <?php claniz_swiper_slider_settings($widget, ['class' => 'no-shadow']); ?>>
            <?php claniz_swiper_slider_arrows_top($settings); ?>
            <div class="cms-swiper-wrapper swiper-wrapper align-items-center">
                <?php foreach ($settings['clients'] as $value): ?>
                    <div class="cms-client-item cms-swiper-slide swiper-slide">
                        <a <?php echo claniz_elementor_custom_link_attrs($value, [
                            'name' => 'image_link',
                            'echo' => true,
                            'class' => 'd-block'
                        ]);?>>
                            <?php
                                claniz_elementor_image_render($settings, $widget, [
                                    'id'   => 'selected_img',
                                    'size' => 'thumbnail_size',
                                ], $value);
                                claniz_elementor_image_render($settings, $widget, [
                                    'id'   => 'selected_img',
                                    'size' => 'thumbnail_size',
                                ], $value);
                            ?>
                        </a>
                    </div>
                <?php endforeach; ?>
            </div>
            <?php 
                claniz_swiper_slider_dots($settings); 
                claniz_swiper_slider_arrows($settings);
                claniz_swiper_slider_arrows_bottom($settings);
                claniz_swiper_slider_arrows_side($settings);
            ?>
        </div>
    </div>
</div>