<?php
// Wrap Class
$widget->add_render_attribute( 'wrap', 'class', 'cms-cta-wrap');
$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings, ['default' => 'center']));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
	<div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php
		// Icon
		claniz_elementor_icon_render($widget, $settings, [
			'id'    => 'heading_icon',
			'class' => 'cms-cta-title-icon rtl-flip mb-30'
		]);
		// Small Heading
		claniz_elementor_text_render([
			'name'  => 'subheading_text',
			'color' => 'accent',
			'class' => 'font-700',
		], $widget, $settings);
		// Large Heading
		claniz_elementor_text_render([
			'name'  => 'heading_text',
			'tag'	=> 'h2',
			'color' => 'heading',
			'class' => 'cms-heading text-lg-40 pb-20'
		], $widget, $settings);
		// Description
		claniz_elementor_text_render([
			'name'  => 'description_text',
			'color' => 'body',
			'class' => 'font-700 text-14 lh-23',
			'after' => claniz_elementor_hyperlink_render($widget,$settings, [
				'prefix'       => 'link1',
				'tag'          => 'span',
				'class'		   => '',	
				'link_text'    => 'Contact Us For More Information',
				'default_icon' => [
					'library' => 'cmsi',
					'value'   => 'cmsi-arrow-right'
				],
				'icon_align'   => 'right',
				'icon_color'		   => 'inherit',
				'echo'		   => false 	
			])
		], $widget, $settings);
		// Button
		claniz_elementor_button_render($widget, $settings);
	?></div>
</div>