<?php 
// Wrapper
$widget->add_render_attribute('wrap', 'class', 'cms-map-wrapper');
$widget->add_render_attribute('wrap', 'class', claniz_elementor_align_class($settings));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
    <?php 
        // Heading 
        claniz_elementor_text_render([
            'name'         => 'smallheading_text',
            'tag'          => 'div',
            'color'        => 'accent',
            'class'        => 'cms-smallheading mt-n5 mb-25' 
        ], $widget, $settings);
        // Sub Heading 
        claniz_elementor_text_render([
            'name'         => 'largeheading_text',
            'tag'          => 'h2',
            'color'        => 'heading',
            'class'        => 'cms-largeheading cms-heading mt-n5 mb-25' 
        ], $widget, $settings);
        // Description
        claniz_elementor_text_render([
            'name'         => 'description_text',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc mb-25' 
        ], $widget, $settings);
        // Map image
        claniz_elementor_image_render($settings, $widget, [
            'id'          => 'map_image',
            'size'        => 'map_image_size',
            'custom_size' => 'full',
            'default'     => true,
            'before'      => '<div class="cms-map-img"><a href="'.$widget->get_settings('map_link')['url'].'">',
            'after'       => '</a></div>'  
        ]);
    ?>
</div>