<?php
/**
 * The header for our theme.
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @package claniz
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="//gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
    <?php 
        wp_body_open(); 
        claniz_page_loading();
    ?>
    <div id="cms-page" class="cms-page">
        <div class="cms-header-wraps">
            <?php 
                claniz_header_top();
                claniz_header_layout();
            ?>
        </div>
        <?php  claniz_page_title_layout();  ?>
        <div id="cms-main" class="<?php claniz_main_css_classes(); ?>">
