<?php
if(!function_exists('claniz_custom_section_presets')){
    add_filter('etc-custom-section/custom-presets', 'claniz_custom_section_presets');
    function claniz_custom_section_presets(){
        return [
            1 => [
                [
                    'preset' => [50]
                ]
            ],
            2 => [
                [
                    'preset' => [40, 100]
                ],
                [
                    'preset' => [50, 100]
                ],
                [
                    'preset' => ['auto', 'basic']
                ],
                [
                    'preset' => ['basic', 'auto']
                ]
            ],
            3 => [
                [
                    'preset' => [ 50, 50, 100 ],
                ],
                [
                    'preset' => [ 40, 60, 100 ],
                ]
            ],
            4 => [
                [
                    'preset' => [ 50, 50, 50, 50 ],
                ],
                [
                    'preset' => [ 100, 33, 33, 33 ],
                ]
            ],
            5 => [
                [
                    'preset' => [ 100, 50, 50, 50, 50 ],
                ],
                [
                    'preset' => [ 100, 25, 25, 25, 25 ],
                ],
                [
                    'preset' => [ 25, 17, 17, 17, 24 ],
                ],
                [
                    'preset' => [ 50, 50, 50, 50, 50 ],
                ]
            ],
            6 => [
                [
                    'preset' => [33, 33, 33, 33, 33, 33],
                ],
                [
                    'preset' => [100, 20, 20, 20, 20, 20],
                ],
                [
                    'preset' => [ 50, 50, 50, 50, 50, 50 ],
                ]
            ]
        ];
    }
}