<?php
/**
 * Social Icon
*/
function claniz_render_socials_list($args=[]) {
    $args = wp_parse_args($args,[
		'name'       => '',
		'icon_class' => '',
		'before'     => '',
		'after'      => '',
        'layout'     => '1'   
    ]);
    if(empty($args['name'])) return;
    $social_list = claniz_get_opts($args['name']);
    
    if(isset($social_list['enabled']) && count($social_list['enabled']) === 1) return;
    if($social_list && isset($social_list['enabled'])){
        printf('%s', $args['before']);
        foreach ($social_list['enabled'] as $social_key => $social_name){
            $social_link = claniz_get_theme_opt( 'social_' . $social_key . '_url' );
            $social_icon = !empty(claniz_get_theme_opt( 'social_' . $social_key . '_icon')) ? claniz_get_theme_opt( 'social_' . $social_key . '_icon') : 'cmsi-'.$social_key;
            $social_link = !empty($social_link)?$social_link:'#';
            if($social_key !== 'placebo') echo '<a href="'. esc_url($social_link) .'" target="_blank" class="'.esc_attr($args['icon_class']).'"><span class="'.esc_attr($social_icon).'"></span></a>';
        }
        printf('%s', $args['after']);
    }
}