<?php
// Silence is golden.
$args = [
	'title'    => esc_html__('General', 'claniz'),
	'sections' => [
    	'colors' => claniz_colors_opts(),
    	'typos'  => claniz_typography_opts(),
        'tools' => [
			'title'  => esc_html__('Tools', 'claniz'),
			'fields' => [
		        'show_page_loading' => [
					'type'     => Theme_Core_Options::SWITCH_FIELD,
					'title'    => esc_html__('Enable Page Loading', 'claniz'),
					'subtitle' => esc_html__('Enable page loading effect when you load site.', 'claniz'),
		        ],
		        'back_totop_on' => [
		            'type'     => Theme_Core_Options::SWITCH_FIELD,
		            'title'    => esc_html__('Enable Back To Top', 'claniz'),
		            'default'  => '1'
		        ],
		        'backtotop_icon' => [
		            'type'     => 'cms_iconpicker',
		            'title'    => esc_html__( 'Choose your Back To Top icon', 'claniz' ),
		            'default'  => 'cmsi-long-arrow-up',
		            'required' => [
		                ['back_totop_on', 'equals', '1']
		            ]
		        ]
		    ]
		]
    ],
];

return $args;