<?php 
// Custom place order button
if(!function_exists('claniz_woocommerce_order_button_html')){
	add_filter('woocommerce_order_button_html', 'claniz_woocommerce_order_button_html');
	function claniz_woocommerce_order_button_html($order_button_text){
		$order_button_text = apply_filters( 'woocommerce_order_button_text', esc_html__( 'Place order', 'claniz' ) );
		return '<div class="text-end mt-40"><button type="submit" class="button btn-lg btn-accent btn-hover-primary" name="woocommerce_checkout_place_order" id="place_order" value="' . esc_attr( $order_button_text ) . '" data-value="' . esc_attr( $order_button_text ) . '"><span class="cms-btn-content"><span class="cms-btn-text">' . esc_html( $order_button_text ) . '</span></span></button></div>';
	}
}