<?php
if(!function_exists('claniz_cmsi_icons')){
	add_filter('tco_icon_picker_options', 'claniz_cmsi_icons');
	add_filter('etc_icons_control_custom_icons', 'claniz_cmsi_icons');
	function claniz_cmsi_icons($icons){
		$cmsi_icons = [
			'CMS Icons' => [
				['cmsi-leaf'               		=> 'leaf'],
				['cmsi-heart-alt'               => 'heart alt'],
				['cmsi-heart'                   => 'heart'],
				['cmsi-left-quote'              => 'left quote'],
				['cmsi-quote-square-right-down' => 'quote-square-right-down'],
				['cmsi-quote-square-left-down'  => 'quote-square-left-down'],
				['cmsi-quote-square-right'      => 'quote-square-right'],
				['cmsi-quote-square-left'       => 'quote-square-left'],
				['cmsi-external-link'             => 'external link'],
				['cmsi-ellipsis-h'                => 'ellipsis h'],
				['cmsi-comment-alt1'              => 'comment alt1'],
				['cmsi-comment-dots1'             => 'comment dots1'],
				['cmsi-comment1'                  => 'comment1'],
				['cmsi-comments1'                 => 'comments1'],
				['cmsi-comment-alt'               => 'comment alt'],
				['cmsi-comment-dots'              => 'comment dots'],
				['cmsi-comment'                   => 'comment'],
				['cmsi-comments'                  => 'comments'],
				['cmsi-user1'                     => 'user1'],
				['cmsi-user'                      => 'user'],
				['cmsi-folder1'                   => 'folder1'],
				['cmsi-folder-open1'              => 'folder open1'],
				['cmsi-folder-open'               => 'folder open'],
				['cmsi-folder'                    => 'folder'],
				['cmsi-arrow-circle-alt-left'     => 'arrow circle alt left'],
				['cmsi-plus-circle-01'            => 'plus circle 01'],
				['cmsi-alert'                     => 'alert'],
				['cmsi-arrow-alt-circle-down'     => 'arrow alt circle down'],
				['cmsi-arrow-alt-circle-left'     => 'arrow alt circle left'],
				['cmsi-arrow-alt-circle-right'    => 'arrow alt circle right'],
				['cmsi-arrow-alt-circle-up'       => 'arrow alt circle up'],
				['cmsi-arrow-circle-down'         => 'arrow circle down'],
				['cmsi-arrow-circle-left'         => 'arrow circle left'],
				['cmsi-arrow-circle-right'        => 'arrow circle right'],
				['cmsi-arrow-circle-up'           => 'arrow circle up'],
				['cmsi-arrow-circle-up-large'     => 'arrow circle up large'],
				['cmsi-arrow-circle-down-large'   => 'arrow circle down large'],
				['cmsi-arrow-circle-left-large'   => 'arrow circle left large'],
				['cmsi-arrow-circle-right-large'  => 'arrow circle right large'],
				['cmsi-arrow-down'                => 'arrow down'],
				['cmsi-arrow-up'                  => 'arrow up'],
				['cmsi-arrow-left'                => 'arrow left'],
				['cmsi-arrow-right'               => 'arrow right'],
				['cmsi-arrow-long-down'           => 'arrow long down'],
				['cmsi-arrow-long-left'           => 'arrow long left'],
				['cmsi-arrow-long-right'          => 'arrow long right'],
				['cmsi-arrow-long-up'             => 'arrow long up'],
				['cmsi-long-arrow-up'             => 'long arrow up'],
				['cmsi-long-arrow-down'           => 'long arrow down'],
				['cmsi-long-arrow-left'           => 'long arrow left'],
				['cmsi-arrow-prev'                => 'arrow prev'],
				['cmsi-arrow-next'                => 'arrow next'],
				['cmsi-check'                     => 'check'],
				['cmsi-long-arrow-right'          => 'long arrow right'],
				['cmsi-check-circle'              => 'check circle'],
				['cmsi-check-alt-circle'          => 'check alt circle'],
				['cmsi-chevron-circle-down'       => 'chevron circle down'],
				['cmsi-chevron-circle-left'       => 'chevron circle left'],
				['cmsi-chevron-circle-right'      => 'chevron circle right'],
				['cmsi-chevron-circle-up'         => 'chevron circle up'],
				['cmsi-chevron-down'              => 'chevron down'],
				['cmsi-chevron-left'              => 'chevron left'],
				['cmsi-chevron-right'             => 'chevron right'],
				['cmsi-chevron-up'                => 'chevron up'],
				['cmsi-clock'                     => 'clock'],
				['cmsi-download'                  => 'download'],
				['cmsi-email'                     => 'email'],
				['cmsi-facebook-circle-alt'       => 'facebook circle alt'],
				['cmsi-facebook-f'                => 'facebook f'],
				['cmsi-facebook-messenger'        => 'facebook messenger'],
				['cmsi-facebook-square'           => 'facebook square'],
				['cmsi-facebook'                  => 'facebook'],
				['cmsi-twitter-circle'            => 'twitter circle'],
				['cmsi-twitter-square'            => 'twitter square'],
				['cmsi-twitter'                   => 'twitter'],
				['cmsi-instagram-square'          => 'instagram square'],
				['cmsi-instagram'                 => 'instagram'],
				['cmsi-linkedin-circle'           => 'linkedin circle'],
				['cmsi-linkedin-in'               => 'linkedin in'],
				['cmsi-linkedin'                  => 'linkedin'],
				['cmsi-pinterest-p'               => 'pinterest p'],
				['cmsi-pinterest-square'          => 'pinterest square'],
				['cmsi-youtube'                   => 'youtube'],
				['cmsi-map-marker'                => 'map marker'],
				['cmsi-pinterest'                 => 'pinterest'],
				['cmsi-phone-alt'                 => 'phone alt'],
				['cmsi-phone'                     => 'phone'],
				['cmsi-play-circle'               => 'play circle'],
				['cmsi-play'                      => 'play'],
				['cmsi-plus'                      => 'plus'],
				['cmsi-plus-circle'               => 'plus circle'],
				['cmsi-minus'                     => 'minus'],
				['cmsi-minus-circle'              => 'minus circle'],
				['cmsi-remove-circle'             => 'remove circle'],
				['cmsi-remove'                    => 'remove'],
				['cmsi-search'                    => 'search'],
				['cmsi-shadow'                    => 'shadow'],
				['cmsi-shopping-bag'              => 'shopping bag'],
				['cmsi-shopping-basket'           => 'shopping basket'],
				['cmsi-shopping-cart-arrow-right' => 'shopping cart arrow right'],
				['cmsi-shopping-cart-arrow-down'  => 'shopping cart arrow down'],
				['cmsi-shopping-cart-plus'        => 'shopping cart plus'],
				['cmsi-shopping-cart'             => 'shopping cart'],
				['cmsi-sign-in-alt'               => 'sign in alt'],
				['cmsi-sign-out-alt'              => 'sign out alt'],
				['cmsi-star-alt'                  => 'star alt'],
				['cmsi-star'                      => 'star'],
				['cmsi-pdf'                       => 'pdf'],
				['cmsi-thumbtack'                 => 'thumbtack'],
				['cmsi-google-plus-g'             => 'google plus g'],
				['cmsi-google-plus-square'        => 'google plus square'],
				['cmsi-google-plus'               => 'google plus'],
				['cmsi-google'                    => 'google'],
				['cmsi-rss-square'                => 'rss square'],
				['cmsi-rss'                       => 'rss'],
				['cmsi-skype'                     => 'skype'],
				['cmsi-tumblr-square'             => 'tumblr square'],
				['cmsi-tumblr'                    => 'tumblr'],
				['cmsi-vimeo-square'              => 'vimeo square'],
				['cmsi-vimeo-v'                   => 'vimeo v'],
				['cmsi-vimeo'                     => 'vimeo'],
				['cmsi-yelp'                      => 'yelp'],
				['cmsi-spinner'                   => 'spinner']
			]
		];
		//return array_merge($icons, $cmsi_icons);
		$cmsi_icons = apply_filters('claniz_theme_icons', $cmsi_icons );
		return $cmsi_icons;
	}
}