<?php

class ETC_CmsGalleries_Widget extends Elementor_Theme_Core_Widget_Base{
    protected $name = 'cms_galleries';
    protected $title = 'CMS Galleries';
    protected $icon = 'eicon-gallery-grid';
    protected $categories = array( 'elementor-theme-core' );
    protected $params = '{"sections":[{"name":"layout_section","label":"Layout","tab":"layout","controls":[{"name":"layout","label":"Templates","type":"layoutcontrol","default":"1","options":{"1":{"label":"Layout 1","image":"http:\/\/localhost:8888\/claniz\/wp-content\/themes\/claniz\/elementor\/templates\/widgets\/cms_galleries\/layout-images\/1.jpg"}}}]},{"name":"grid_section","label":"Image Gallery","tab":"content","controls":[{"name":"wp_gallery","label":"Add Images","type":"gallery","show_label":false,"dynamic":{"active":true}},{"name":"thumbnail","type":"image-size","control_type":"group","default":"large"},{"name":"gallery_col","label":"Columns","type":"select","default":"3","control_type":"responsive","options":{"1":"1","2":"2","3":"3","4":"4","6":"6"}},{"name":"gallery_rand","label":"Order By","type":"select","options":{"":"Default","rand":"Random"},"default":""},{"name":"gallery_show","label":"Number of item to show","type":"number","default":"6"},{"name":"gallery_loadmore_show","label":"Number of item to show on load more","type":"number","default":"6"},{"name":"load_more_text","label":"Load More Text","type":"text"}]},{"name":"gallery_images_section","label":"Images","tab":"style","controls":[{"name":"gap","label":"Image Gap","type":"number","control_type":"responsive","default":40}]},{"name":"caption_section","label":"Caption","tab":"style","controls":[{"name":"gallery_display_caption","label":"Display","type":"select","default":"none","options":{"none":"Hide","block":"Show"},"selectors":{"{{WRAPPER}} .cms-image-caption":"display: {{VALUE}};"}},{"name":"caption_align","label":"Alignment","type":"choose","options":{"left":{"title":"Left","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"right":{"title":"Right","icon":"eicon-text-align-right"}},"selectors":{"{{WRAPPER}} .cms-image-caption":"text-align: {{VALUE}};"},"default":"center","condition":{"gallery_display_caption!":"none"}},{"name":"caption_color","label":"Text Color","type":"color","default":"","selectors":{"{{WRAPPER}} .cms-image-caption":"color: {{VALUE}};"},"condition":{"gallery_display_caption!":"none"}},{"name":"caption_typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .cms-image-caption","condition":{"gallery_display_caption!":"none"}}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'cms-galleries','cms-animation' );
}