<?php
$charts = $widget->get_settings('cms_chart');
$html_id = etc_get_element_id($settings);

// Charts item title
$widget->add_render_attribute('item-title', 'class', 'd-inline-block circle');
$widget->add_render_attribute('item-title', 'style', 'width: 10px; height: 10px;');
?>
<div class="cms-charts-wrap">
    <div class="cms-headings cms-chart-headings empty-none <?php echo claniz_elementor_align_class($settings, ['id' => 'heading_align']);?>"><?php 
        // Small Heading
        claniz_elementor_text_render([
        'name'         => 'smallheading_text',
        'tag'          => 'div',
        'color'        => 'accent',
        'class'        => 'cms-smallheading mt-n5 mb-25' 
        ], $widget, $settings);
        // Large Heading 
        claniz_elementor_text_render([
            'name'         => 'heading_text',
            'tag'          => 'h2',
            'color'        => 'heading',
            'class'        => 'cms-mainheading cms-heading mt-n5 mb-25' 
        ], $widget, $settings);
        // Description Text
        claniz_elementor_text_render([
            'name'         => 'description_text',
            'tag'          => 'div',
            'color'        => 'body',
            'class'        => 'cms-desc mb-25',
            'autop'        => true
        ], $widget, $settings);
    ?></div>
    <div class="row gutters-grid">
        <div class="col">
    	   <div class="cms-charts-chart m-lr-auto"><canvas id="<?php echo esc_attr($html_id); ?>" <?php claniz_swiper_chart_data_settings($widget, $settings); ?>></canvas></div>
           <div class="cms-chart-items mt-20 pl-lg-30 d-flex row gutters-20 row-cols-1 row-cols-md-2">
               <?php foreach ($charts as $key => $value): 
                    $chart_setting_key = $widget->get_repeater_setting_key( 'chart_item', 'chart', $key );
                    $widget->add_render_attribute( $chart_setting_key, [
                        'class' => 'd-inline-block circle mr-10',
                        'style' => 'width: 10px; height: 10px;background-color:'.$value['chart_color']
                    ]);
                ?>
                   <div class="cms-chart-item-title col pb-10 font-700 text-14"><span <?php $widget->print_render_attribute_string( $chart_setting_key );?>></span><?php etc_print_html($value['chart_main_title']); ?></div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
</div>