<?php
	$copyright_text = $widget->get_setting('copyright_text' , '');
	// Link Color
	$link_color = 'link-'.$widget->get_setting('link_color','darken-secondary');
	$link_hover_color = 'link-hover-'.$widget->get_setting('link_hover_color','accent');
	// Attribute
	$widget->add_render_attribute( 'atts', [
		'class' => [
			'cms-copyright-text',
			'text-'.$widget->get_setting('copyright_typo_color','custom-7'),
			claniz_elementor_align_class($settings)
		]
	]);
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'atts' )); ?>>
	<?php echo claniz_default_copyright_text($copyright_text, [
		'link_color'       => $link_color,
		'link_hover_color' => $link_hover_color
	]); ?>
</div>