<?php 
// Small Heading
$widget->add_render_attribute( 'smallheading', 'class', 'cms-heading cms-subheading font-700 text-16 mt-n5 pb-15');
$widget->add_render_attribute( 'smallheading', 'class', 'text-'.$widget->get_setting('subheading_text_color', 'darken-secondary'));
if ( $settings['subheading_text_animation'] ) {
    $widget->add_render_attribute( 'smallheading', 'class', 'animated ' . $widget->get_setting('subheading_text_animation', ''));
}
if ( $settings['subheading_text_animation_delay'] !== '') {
    $widget->add_render_attribute( 'smallheading', 'style', 'transition-delay:' . $widget->get_setting('subheading_text_animation_delay','0').'ms');
}

// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading text-37 mt-n5');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'animated ' . $widget->get_setting('heading_text_animation', ''));
}
if ( $settings['heading_text_animation_delay'] !== '') {
    $widget->add_render_attribute( 'heading', 'style', 'transition-delay:' . $widget->get_setting('heading_text_animation_delay','0').'ms');
}

// Description
$widget->add_render_attribute( 'description', 'class', 'cms-mainheading text-37 pt-25 empty-none');
$widget->add_render_attribute( 'description', 'class', 'text-'.$widget->get_setting('description_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'animated ' . $widget->get_setting('description_text_animation', ''));
}
if ( $settings['heading_text_animation_delay'] !== '') {
    $widget->add_render_attribute( 'description', 'style', 'transition-delay:' . $widget->get_setting('description_text_animation_delay','0').'ms');
}
?>
<div class="cms-heading-wrapper <?php echo claniz_elementor_align_class($settings,['default' => 'center']);?>">
    <div <?php etc_print_html($widget->get_render_attribute_string( 'smallheading' )); ?>><?php 
        etc_print_html($widget->get_setting('smallheading_text','Cleaning Plans For Your Needs'));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Specialist Disinfection Services That Fits Your Premises'));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
        etc_print_html($widget->get_setting('description_text',''));
    ?></div>
</div>