<?php 
$default_align = 'start';
// Wrapper 
$widget->add_render_attribute( 'wrapper', 'class', 'cms-heading-wrapper');
$widget->add_render_attribute( 'wrapper', 'class', claniz_elementor_align_class($settings, ['default' => $default_align]));
/// Heading
$widget->add_render_attribute( 'heading', 'class', 'cms-mainheading cms-heading empty-none text-37 mt-n5');
$widget->add_render_attribute( 'heading', 'class', 'text-'.$widget->get_setting('heading_text_color', 'heading'));
if ( $settings['heading_text_animation'] ) {
    $widget->add_render_attribute( 'heading', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'heading', 'class', 'animated-'.$widget->get_setting('heading_text_animation_duration', ''));
    $widget->add_render_attribute( 'heading', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('heading_text_animation', ''),
        'animation_delay' => $widget->get_setting('heading_text_animation_delay', '')
    ]));
}
// Description
$widget->add_render_attribute( 'description', 'class', 'cms-heading-desc empty-none text-16 lh-27 empty-none pt-25');
$widget->add_render_attribute( 'description', 'class', 'text-'.$settings['description_text_color']);
if ( $settings['description_text_animation'] ) {
    $widget->add_render_attribute( 'description', 'class', 'elementor-invisible');
    $widget->add_render_attribute( 'description', 'class', 'animated-'.$widget->get_setting('description_text_animation_duration', ''));
    $widget->add_render_attribute( 'description', 'data-settings', json_encode([
        '_animation'      => $widget->get_setting('description_text_animation', ''),
        'animation_delay' => $widget->get_setting('description_text_animation_delay', '')
    ]));
}
// Buttons Wrap
$widget->add_render_attribute( 'buttons', 'class', 'row gutters-30 gutters-grid empty-none pt-30');
$widget->add_render_attribute( 'buttons', 'class', claniz_elementor_align_class($settings, ['default' => $default_align, 'prefix' => 'justify-content-']));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrapper' )); ?>>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'heading' )); ?>><?php 
        etc_print_html($widget->get_setting('heading_text','Experience The Ultimate Level Of Cleaning Power With All Our Tailored Industry Leading Services.'));
    ?></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'description' )); ?>><?php 
        echo wpautop($widget->get_setting('description_text','We’ll take the time to discuss your preferences and priorities with you before your first home cleaning service and residential housekeepers will always arrive with your customized cleaning plan to ensure that all of your needs are taken into account.<br /><br />Our cleaning experts deliver the highest quality of clean you can always count, let us help you with all of your cleaning responsibilities now.')); 
    ?></div>
    <div class="cms-heading-extra-space extra-space"></div>
    <div <?php etc_print_html($widget->get_render_attribute_string( 'buttons' )); ?>><?php 
        claniz_elementor_button_render($widget,$settings, [
            'prefix' => 'btn1',
            'class'  => 'col-auto'
        ]);
        claniz_elementor_button_render($widget,$settings, [
            'prefix' => 'btn2',
            'class'  => 'col-auto'
        ]);
    ?></div>
</div>