<?php
	// Wrapper attributes
	$widget->add_render_attribute( 'wrap', 'class', 'cms-newsletter');
	$widget->add_render_attribute( 'wrap', 'class', claniz_elementor_align_class($settings));
?>
<div <?php etc_print_html($widget->get_render_attribute_string( 'wrap' )); ?>>
<?php
	// Small Heading 
    claniz_elementor_text_render([
        'name'         => 'smallheading_text',
        'tag'          => 'div',
        'color'        => 'accent',
        'class'        => 'cms-smallheading cms-heading text-17 font-700 mt-n5 pb-17' 
    ], $widget, $settings);
    // Large Heading 
    claniz_elementor_text_render([
        'name'         => 'largeheading_text',
        'tag'          => 'div',
        'color'        => 'heading',
        'class'        => 'cms-largeheading cms-heading text-30 text-lg-50 text-xl-75 lh-1 font-700 mt-n5 mb-43' 
    ], $widget, $settings);
?>
<div class="cms-newsletter-form relative"><?php 
	//[newsletter_field name="first_name" label="" placeholder="'.$widget->get_setting('name_text',esc_html__('Your Name','claniz')).'"]
	echo do_shortcode('
		[newsletter_form button_label="'.$widget->get_setting('button_text',esc_html__('Subscribe','claniz')).'"]
			[newsletter_field name="email" label="" placeholder="'.$widget->get_setting('email_text',esc_html__('Your Email Address','claniz')).'"]
		[/newsletter_form]
	');
?></div>
<?php 
	// Desc
    claniz_elementor_text_render([
        'name'         => 'description_text',
        'tag'          => 'div',
        'color'        => 'body',
        'class'        => 'cms-desc font-700 pt-25' 
    ], $widget, $settings);
?>
</div>
