<?php
$post_type  = $widget->get_setting($settings['post_type'], '');
if(!is_singular($post_type)) return;
?>
<div class="cms-single-posts bg-white cms-shadow-1">
	<?php 
        claniz_elementor_image_render($settings, $widget,[
            'attachment_id' => get_post_thumbnail_id(),
            'size'          => 'thumbnail',
            'custom_size'   => '570x570',
            'default'       => true,
            'class'         => 'text-center'
        ]);
    ?>
	<div class="cms-post-info relative p-40"><?php
        the_title('<h4 class="cms-mainheading cms-heading text-19 lh-1 font-700">','</h4>');
        // Specialize
        claniz_post_option_text([
            'id'    => get_the_ID(),
            'name'  => 'specialize',
            'class' => 'text-secondary text-14 mt-10'
        ]);
        // Contact Info
        claniz_feature_contact_render([
            'id'         => get_the_ID(),
            'class'      => 'cms-post-contact cms-list cms-list-1 mt-25 pt-25',
            'item_class' => 'cms-list-item gutters-10',
            'icon_class' => 'text-16 text-heading',
            'text_class' => 'text-14 link-custom-4 link-hover-secondary' 
        ]);
        // Socials
        claniz_feature_social_render([
            'id'         => get_the_ID(),
            'name'       => 'socials',
            'class'      => 'cms-socials-layout-2 socials-bg-colored mt-20'   
        ]);
    ?></div>
</div>