<?php
if(!function_exists('claniz_cpt_doctor')){
    add_filter( 'cms_extra_post_types', 'claniz_cpt_doctor' );
    function claniz_cpt_doctor( $postypes ) {
        $doctor_slug = claniz_get_opts( 'doctor_slug', 'industry' );
        $postypes['cms-doctor'] = array(
            'status'     => true,
            'item_name'  => esc_html__( 'Industries', 'claniz' ),
            'items_name' => esc_html__( 'Industries', 'claniz' ),
            'args'       => array(
                'menu_position' => 4,
                'menu_icon'     => 'dashicons-share-alt',
                'supports'      => array(
                    'title',
                    'thumbnail',
                    'editor', 
                    'excerpt'
                ),
                'public'             => true,
                'publicly_queryable' => true,
                'rewrite'            => array(
                    'slug'  => $doctor_slug
                ),
            ),
            'labels'     => array()
        );
        return $postypes;
    }
}

if(!function_exists('claniz_add_tax_doctor')){
    add_filter( 'cms_extra_taxonomies', 'claniz_add_tax_doctor' );
    function claniz_add_tax_doctor( $taxonomies ) {
        $taxonomies['doctor-category'] = array(
            'status'     => true,
            'post_type'  => array( 'cms-doctor' ),
            'taxonomy'   => esc_html__( 'Industries Category', 'claniz' ),
            'taxonomies' => esc_html__( 'Industries Categories', 'claniz' ),
            'args'       => array(),
            'labels'     => array()
        );
        return $taxonomies;
    }
}