<?php
if(!function_exists('claniz_cpt_portfolio')){
    add_filter('cms_extra_post_types', 'claniz_cpt_portfolio');
    function claniz_cpt_portfolio($postypes){
        $portfolio             = claniz_get_theme_opt('portfolio_slug', 'portfolio');
        $portfolio_name        = claniz_get_theme_opt('portfolio_name', esc_attr__('Portfolio', 'claniz'));
        $postypes['portfolio'] = array(
            'status'     => false,
            'item_name'  => $portfolio_name,
            'items_name' => $portfolio_name,
            'args'       => array(
                'menu_position' => 4,
                'menu_icon' => 'dashicons-admin-tools',
                'supports' => array(
                    'title',
                    'thumbnail',
                    'editor',
                ),
                'public'             => true,
                'publicly_queryable' => true,
                'rewrite'            => array(
                    'slug' => $portfolio
                ),
            ),
            'labels' => array()
        );

        return $postypes;
    }
}
if(!function_exists('claniz_cpt_portfolio_taxonomies')){
    add_filter('cms_extra_taxonomies', 'claniz_cpt_portfolio_taxonomies');
    function claniz_cpt_portfolio_taxonomies($taxonomies){
        $taxonomies['portfolio-category'] = array(
            'status'     => true,
            'post_type'  => array('portfolio'),
            'taxonomy'   => esc_html__('Portfolio Category', 'claniz'),
            'taxmorimy'  => esc_html__('Portfolio Category', 'claniz'),
            'taxonomies' => esc_html__('Portfolio Categories', 'claniz'),
            'args'       => array(),
            'labels'     => array()
        );
        return $taxonomies;
    }
}