<?php
// Cart Acctions
if(!function_exists('claniz_woocommerce_cart_actions')){
	add_action('woocommerce_cart_actions', 'claniz_woocommerce_cart_actions');
	function claniz_woocommerce_cart_actions(){
		?>
		<div class="cms-cart-update-checkout">
			<button type="submit" class="button btn-md" name="update_cart" value="<?php esc_attr_e( 'Update cart', 'claniz' ); ?>"><span class="cms-btn-content"><span class="cms-btn-text"><?php esc_html_e( 'Update cart', 'claniz' ); ?></span></span></button>
			<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="checkout-button btn btn-accent btn-hover-primary btn-md">
				<span class="cms-btn-content"><span class="cms-btn-text"><?php esc_html_e( 'Checkout', 'claniz' ); ?></span></span>
			</a>
		</div>	
		<?php
	}
}

// Cart totals
//remove_action('woocommerce_cart_collaterals', 'woocommerce_cart_totals', 10);
//add_action('woocommerce_after_cart_table','woocommerce_cart_totals',0);
// Process to check out button 
if ( ! function_exists( 'woocommerce_button_proceed_to_checkout' ) ) {

	/**
	 * Output the proceed to checkout button.
	 */
	function woocommerce_button_proceed_to_checkout() {
	?>
		<div class="cart-total-checkout-button-wrap">
			<a href="<?php echo esc_url( wc_get_checkout_url() ); ?>" class="cart-total-checkout-button btn btn-accent btn-hover-primary btn-md">
				<span class="cms-btn-content"><span class="cms-btn-text"><?php esc_html_e( 'Proceed to checkout', 'claniz' ); ?></span></span>
			</a>
		</div>
	<?php
	}
}