<?php
if ( ! function_exists( 'woocommerce_widget_shopping_cart_subtotal' ) ) {
	/**
	 * Output to view cart subtotal.
	 *
	 * @since 3.7.0
	 */
	function woocommerce_widget_shopping_cart_subtotal() {
		echo '<div class="cms-mini-cart-total-title">' . esc_html__( 'Total:', 'claniz' ) . '</div> ' . WC()->cart->get_cart_subtotal(); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
}

if ( ! function_exists( 'woocommerce_widget_shopping_cart_button_view_cart' ) ) {

	/**
	 * Output the view cart button.
	 */
	function woocommerce_widget_shopping_cart_button_view_cart() {
		echo '<a href="' . esc_url( wc_get_cart_url() ) . '" class="btn-view-cart btn btn-lg btn-accent btn-hover-primary">' . esc_html__( 'View cart', 'claniz' ) . '</a>';
	}
}

if ( ! function_exists( 'woocommerce_widget_shopping_cart_proceed_to_checkout' ) ) {

	/**
	 * Output the proceed to checkout button.
	 */
	function woocommerce_widget_shopping_cart_proceed_to_checkout() {
		//echo '<a href="' . esc_url( wc_get_checkout_url() ) . '" class="btn-checkout btn btn-xl btn-primary btn-hover-accent">' . esc_html__( 'Checkout', 'claniz' ) . '</a>';
	}
}